pg_lo_tell
pg_lo_unlink
PostgreSQL Functions
PHP Manual

# pg_lo_truncate

Truncates a large object

### Description

bool pg_lo_truncate ( resource `$large_object` , int `$size` )

pg_lo_truncate truncates a a large object resource.

To use the large object interface, it is necessary to enclose it within a transaction block.

### Parameters

`large_object`

  PostgreSQL large object (LOB) resource, returned by pg_lo_open.

`size`

  The number of bytes to truncate.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 pg_lo_truncate example

`<?php
$doc_oid = 189762345;
$database = pg_connect("dbname=jacarta");
pg_query($database, "begin");
$handle = pg_lo_open($database, $doc_oid, "r");
// Truncate to 0
pg_lo_truncate($handle, 0);
pg_query($database, "commit");
echo $data;
?>`

### Changelog

Version | Description
--- | ---
5.6.0 | Added truncate function. It supports PostgreSQL 9.3's 64bit large object. Both client and server must support PostgreSQL 9.3 and PHP must be 64bit build to use 64bit large object.

### See Also

- pg_lo_tell